Subject: Re: [PATCH] Replace HTTP links with HTTPS ones: XDP (eXpress Data Path)

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 9 Jul 2020 13:26:07 +0200

On Wed, 8 Jul 2020 20:58:39 +0200
"Alexander A. Klimov" <[email-masked]> wrote:

> Am 08.07.20 um 16:02 schrieb Jonathan Corbet:
> > On Wed,  8 Jul 2020 15:57:37 +0200
> > "Alexander A. Klimov" <[email-masked]> wrote:
> >   
> >>   Documentation/arm/ixp4xx.rst | 4 ++--
> >>   1 file changed, 2 insertions(+), 2 deletions(-)  
> > 
> > That's not XDP; something went awry in there somewhere.  
>
> RoFL. Now as you said it I... noticed it at all... (*sigh*, the curse of
> automation) and I absolutely agree with you. But I've literally no idea...

Yes, we know that scripts/get_maintainer.pl gives false positives for
XDP, but we choose this to capture drivers that implement XDP.

As you can see here, the chip name IXDP425 contains "XDP", which is why
it matches...

> ➜  linux git:(master) perl scripts/get_maintainer.pl --nogit{,-fallback} 
> --nol 0003-Replace-HTTP-links-with-HTTPS-ones-XDP-eXpress-Data-.patch
> Jonathan Corbet <[email-masked]> (maintainer:DOCUMENTATION)
> Alexei Starovoitov <[email-masked]> (supporter:XDP (eXpress Data Path))
> Daniel Borkmann <[email-masked]> (supporter:XDP (eXpress Data Path))
> "David S. Miller" <[email-masked]> (supporter:XDP (eXpress Data Path))
> Jakub Kicinski <[email-masked]> (supporter:XDP (eXpress Data Path))
> Jesper Dangaard Brouer <[email-masked]> (supporter:XDP (eXpress Data Path))
> John Fastabend <[email-masked]> (supporter:XDP (eXpress Data 
> Path))
> ➜  linux git:(master) cat 
> 0003-Replace-HTTP-links-with-HTTPS-ones-XDP-eXpress-Data-.patch
>  From 40aee4678ab84b925ab21581030a2cc0b988fbf9 Mon Sep 17 00:00:00 2001
> From: "Alexander A. Klimov" <[email-masked]>
> Date: Wed, 8 Jul 2020 08:00:39 +0200
> Subject: [PATCH] Replace HTTP links with HTTPS ones: XDP (eXpress Data Path)
> 
> Rationale:
> Reduces attack surface on kernel devs opening the links for MITM
> as HTTPS traffic is much harder to manipulate.
> 
> Deterministic algorithm:
> For each file:
>    If not .svg:
>      For each line:
>        If doesn't contain `\bxmlns\b`:
>          For each link, `\bhttp://[^# \t\r\n]*(?:\w|/)`:
> 	  If neither `\bgnu\.org/license`, nor `\bmozilla\.org/MPL\b`:
>              If both the HTTP and HTTPS versions
>              return 200 OK and serve the same content:
>                Replace HTTP with HTTPS.
> 
> Signed-off-by: Alexander A. Klimov <[email-masked]>
> ---
>   Documentation/arm/ixp4xx.rst | 4 ++--
>   1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/Documentation/arm/ixp4xx.rst b/Documentation/arm/ixp4xx.rst
> index a57235616294..d94188b8624f 100644
> --- a/Documentation/arm/ixp4xx.rst
> +++ b/Documentation/arm/ixp4xx.rst
> @@ -119,14 +119,14 @@ http://www.gateworks.com/support/overview.php
>      the expansion bus.
> 
>   Intel IXDP425 Development Platform
> -http://www.intel.com/design/network/products/npfamily/ixdpg425.htm
> +https://www.intel.com/design/network/products/npfamily/ixdpg425.htm
> 
>      This is Intel's standard reference platform for the IXDP425 and is
>      also known as the Richfield board. It contains 4 PCI slots, 16MB
>      of flash, two 10/100 ports and one ADSL port.
> 
>   Intel IXDP465 Development Platform
> -http://www.intel.com/design/network/products/npfamily/ixdp465.htm
> +https://www.intel.com/design/network/products/npfamily/ixdp465.htm
> 
>      This is basically an IXDP425 with an IXP465 and 32M of flash instead
>      of just 16.
> --
> 2.27.0

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer